# Clutter::LayoutMeta Class Reference

Inherits Clutter::ChildMeta.

Collaboration diagram for Clutter::LayoutMeta:
[legend]

List of all members.

## Public Member Functions

virtual | ~LayoutMeta ()
ClutterLayoutMeta* | gobj ()
| Provides access to the underlying C GObject.
const ClutterLayoutMeta* | gobj () const
| Provides access to the underlying C GObject.
ClutterLayoutMeta* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< LayoutManager > | get_manager ()
| Retrieves the actor wrapped by data.
Glib::RefPtr< const LayoutManager > | get_manager () const
| Retrieves the actor wrapped by data.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< LayoutManager > > | property_manager () const
| The manager that created this data.

## Protected Member Functions

| LayoutMeta (const Glib::RefPtr< LayoutManager >& layoutManager)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::LayoutMeta > | wrap (ClutterLayoutMeta* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::LayoutMeta::~LayoutMeta | ( |  | ) | `[virtual]`

Clutter::LayoutMeta::LayoutMeta | ( | const Glib::RefPtr< LayoutManager >& | layoutManager | ) | `[explicit, protected]`

## Member Function Documentation

Glib::RefPtr<LayoutManager> Clutter::LayoutMeta::get_manager | ( |  | ) |

Retrieves the actor wrapped by data.

Since cluttermm 1.2:

Returns:
  A Clutter::LayoutManager.

Glib::RefPtr<const LayoutManager> Clutter::LayoutMeta::get_manager | ( |  | ) | const

Retrieves the actor wrapped by data.

Since cluttermm 1.2:

Returns:
  A Clutter::LayoutManager.

ClutterLayoutMeta* Clutter::LayoutMeta::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ChildMeta.

const ClutterLayoutMeta* Clutter::LayoutMeta::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ChildMeta.

ClutterLayoutMeta* Clutter::LayoutMeta::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::ChildMeta.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<LayoutManager> > Clutter::LayoutMeta::property_manager | ( |  | ) | const

The manager that created this data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::LayoutMeta > wrap | ( | ClutterLayoutMeta * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/layoutmeta.h